function createAction (prefix, actionType) {
  const type = `${prefix}/${actionType}`

  function action (payload) {
    return {type, payload}
  }

  action.type = type

  return action
}

export default function createActions (prefix) {
  return {
    setState: createAction(prefix, 'set-state'),
    remove: createAction(prefix, 'remove')
  }
}
