import createReducer from './createReducer'
import createWithComponentState from './createWithComponentState'

export default function create (options = {}) {
  const defaults = {
    prefix: '@components',
    reducers: {}
  }

  const optionsWithDefaults = Object.assign({}, defaults, options)

  return {
    withComponentState: createWithComponentState(optionsWithDefaults),
    reducer: createReducer(optionsWithDefaults),
    prefix: optionsWithDefaults.prefix
  }
}
